> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get jobs

> Get a paginated list of jobs



## OpenAPI

````yaml get /v1.0/{company_id}/jobs
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/jobs:
    get:
      tags:
        - Jobs
      summary: Get a paginated list of your jobs.
      operationId: Jobs_GetJobs
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: sort
          in: query
          description: 'Sortable fields: `title`, `published_date`, `created_date`.'
          schema:
            type: string
          x-position: 2
        - name: title
          in: query
          description: Filter jobs by title
          schema:
            type: string
          x-position: 3
        - name: job_code
          in: query
          description: Filter jobs by job code
          schema:
            type: string
          x-position: 4
        - name: statuses
          in: query
          style: form
          explode: true
          description: Filter jobs by status
          schema:
            type: array
            items:
              $ref: '#/components/schemas/JobStatuses'
          x-position: 5
        - name: types
          in: query
          style: form
          explode: true
          description: Filter jobs by employment type
          schema:
            type: array
            items:
              $ref: '#/components/schemas/EmploymentType'
          x-position: 6
        - name: experiences
          in: query
          style: form
          explode: true
          description: Filter jobs by experience level
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Experience'
          x-position: 7
        - name: owner_ids
          in: query
          style: form
          explode: true
          description: Filter jobs by the `user_id` of the job owner
          schema:
            type: string
            format: string
            items:
              type: integer
              format: int32
          x-position: 8
        - name: assigned_users
          in: query
          style: form
          explode: true
          description: Filter jobs by the `user_id` of the users assigned to the job
          schema:
            type: string
            format: string
            items:
              type: integer
              format: int32
          x-position: 9
        - name: countries
          in: query
          style: form
          explode: true
          description: Filter jobs by the 2 letter ISO code of the country eg. US, FR
          schema:
            type: array
            items:
              type: string
          x-position: 10
        - name: states
          in: query
          style: form
          explode: true
          description: Filter jobs by the 2 letter ISO code of the state eg. FL, MA
          schema:
            type: array
            items:
              type: string
          x-position: 11
        - name: ids
          in: query
          style: form
          explode: true
          schema:
            type: array
            items:
              type: integer
              format: int32
          x-position: 12
        - name: category_ids
          in: query
          style: form
          explode: true
          description: Filter jobs by category id
          schema:
            type: array
            items:
              type: integer
              format: int32
          x-position: 13
        - name: page
          in: query
          description: Defaults to 1
          schema:
            type: integer
            format: int32
          x-position: 14
        - name: page_size
          in: query
          description: Defaults to 30. Min = 1. Max = 100
          schema:
            type: integer
            format: int32
            maximum: 100
            minimum: 1
          x-position: 15
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseOfJobDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    JobStatuses:
      type: string
      description: ''
      x-enumNames:
        - Drafted
        - Published
        - Closed
        - Internal
      enum:
        - drafted
        - published
        - closed
        - internal
    EmploymentType:
      type: string
      description: ''
      x-enumNames:
        - FullTime
        - PartTime
        - Contract
        - Temporary
        - Other
        - Internship
        - Volunteer
      enum:
        - full_time
        - part_time
        - contract
        - temporary
        - other
        - internship
        - volunteer
    Experience:
      type: string
      description: ''
      x-enumNames:
        - NA
        - Intern
        - EntryLevel
        - MidLevel
        - Senior
      enum:
        - na
        - intern
        - entry_level
        - mid_level
        - senior
    PagedResponseOfJobDto:
      type: object
      additionalProperties: false
      properties:
        meta:
          $ref: '#/components/schemas/Meta'
        links:
          $ref: '#/components/schemas/Links'
        items:
          type: array
          items:
            $ref: '#/components/schemas/JobDto'
    ValidationProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    Meta:
      type: object
      additionalProperties: false
      properties:
        page_size:
          type: integer
          format: int32
        page:
          type: integer
          format: int32
        total_items:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
        has_next_page:
          type: boolean
        has_previous_page:
          type: boolean
    Links:
      type: object
      additionalProperties: false
      properties:
        first:
          type: string
        last:
          type: string
        next:
          type: string
        previous:
          type: string
    JobDto:
      type: object
      additionalProperties: false
      required:
        - id
        - assigned_team
        - notifications
        - application_form
        - auto_responder
        - tags
        - deadline
      properties:
        id:
          type: string
          description: The id of the job, format `job_abc123`.
          format: int32
        title:
          type: string
          description: The title of the job.
        description:
          type: string
          maxLength: 100000
        location:
          $ref: '#/components/schemas/LocationDto'
          description: The location object.
        owner_id:
          type: string
          description: The `user_id` of the job owner.
          format: int32
        status:
          $ref: '#/components/schemas/JobStatuses'
          description: The status of the job.
        type:
          $ref: '#/components/schemas/EmploymentType'
          description: The employment type.
        experience:
          $ref: '#/components/schemas/Experience'
          description: The experience type.
        salary:
          type: string
          description: The salary of the job.
        job_code:
          type: string
          description: A code associated with the job. This is internal.
        created_date:
          type: string
          description: The date the job was created.
          format: date-time
        published_date:
          type: string
          description: >-
            The date the job was last published. This will be `null` if the job
            was never published.
          format: date-time
          nullable: true
        category:
          $ref: '#/components/schemas/CategoryDto'
          nullable: true
        language:
          $ref: '#/components/schemas/LanguageDto'
        assigned_team:
          $ref: '#/components/schemas/AssignedTeam'
        notifications:
          $ref: '#/components/schemas/JobNotifications'
        application_form:
          $ref: '#/components/schemas/ApplicationFormDto'
        auto_responder:
          $ref: '#/components/schemas/AutoResponder'
        job_ads:
          type: array
          items:
            $ref: '#/components/schemas/JobAd'
        apply_url:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/JobTag'
        deadline:
          $ref: '#/components/schemas/Deadline'
    LocationDto:
      type: object
      additionalProperties: false
      required:
        - city
      properties:
        city:
          type: string
          description: The city the job is based in.
          maxLength: 150
          minLength: 0
        state:
          $ref: '#/components/schemas/StateDto2'
          description: The state if the job is based in USA.
        country:
          $ref: '#/components/schemas/CountryDto2'
          description: The country of the job.
        remote:
          $ref: '#/components/schemas/JobRemoteOption'
          nullable: true
    CategoryDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
    LanguageDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
        code:
          type: string
    AssignedTeam:
      type: object
      additionalProperties: false
      required:
        - assigned_users
        - recruiter_ids
      properties:
        assigned_users:
          type: array
          items:
            type: string
            format: int32
        recruiter_ids:
          type: array
          items:
            type: string
    JobNotifications:
      type: object
      additionalProperties: false
      required:
        - new_application_email
      properties:
        new_application_email:
          type: array
          items:
            type: string
            format: int32
    ApplicationFormDto:
      type: object
      additionalProperties: false
      properties:
        base_form:
          $ref: '#/components/schemas/DefaultFormOption'
        additional_form_ids:
          type: array
          items:
            type: string
            format: int32
    AutoResponder:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the default auto responder email template
          format: int32
          nullable: true
        email_subject:
          type: string
          description: >-
            The subject of the auto responder if using a custom email for this
            job otherwise null.
        email_body:
          type: string
          description: >-
            The body of the auto responder if using a custom email for this job
            otherwise null.
    JobAd:
      type: object
      additionalProperties: false
      properties:
        id:
          type: integer
          format: int32
        created_at:
          type: string
          format: date-time
        expires_at:
          type: string
          format: date-time
          nullable: true
        job_board:
          $ref: '#/components/schemas/JobBoardEnum'
        status:
          $ref: '#/components/schemas/PromotedJobStatus'
        budget:
          type: number
          format: decimal
        meta:
          type: array
          items:
            $ref: '#/components/schemas/KeyValue'
    JobTag:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
    Deadline:
      type: object
      additionalProperties: false
      properties:
        closes_at:
          type: string
          format: date-time
          nullable: true
        auto_close:
          type: boolean
          nullable: true
    StateDto2:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
          description: The full name of the state.
        code:
          type: string
          description: The 2 letter code of the state.
    CountryDto2:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
          description: The full name of the country.
        code:
          type: string
          description: The 2 letter alpha iso code of the country.
    JobRemoteOption:
      type: string
      description: ''
      x-enumNames:
        - NotRemote
        - WFHFlexible
        - FullyRemote
        - CovidRemote
      enum:
        - not_remote
        - wfh_flexible
        - fully_remote
        - covid_remote
    DefaultFormOption:
      type: object
      additionalProperties: false
      properties:
        current_title:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        current_company:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        location:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        phone:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        resume:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        cover_letter:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
    JobBoardEnum:
      type: string
      description: ''
      x-enumNames:
        - Indeed
      enum:
        - indeed
    PromotedJobStatus:
      type: string
      description: ''
      x-enumNames:
        - Unknown
        - Active
        - Paused
        - Expired
      enum:
        - unknown
        - active
        - paused
        - expired
    KeyValue:
      type: object
      additionalProperties: false
      properties:
        key:
          type: string
        value:
          type: string
    JobFieldStatusEnum:
      type: string
      description: ''
      x-enumNames:
        - 'Off'
        - Optional
        - Required
      enum:
        - 'off'
        - optional
        - required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````